import Ember from 'ember';

const {
  isEmpty
} = Em

export function highlight(_, hash) {
  let text = hash.phrase
  let part = hash.part

  if (isEmpty(part)) return text

  let replaced = text.replace(new RegExp(part, 'i'), '<u>$&</u>')
  return Em.String.htmlSafe(replaced)
}

export default Ember.Helper.helper(highlight);
