import Ember from 'ember';

export function join(params, hash) {
  const selections = hash.selections
  const labelPath = (hash.labelPath === undefined) ? "label" : hash.labelPath

  if (!Array.isArray(selections)) {
    console.warn(`[en-select] Cannot join selections; not an array`)
    return "-";
  } else {
    return selections.map(sel => sel.get(labelPath)).join(", ")
  }
}

export default Ember.Helper.helper(join);
